:root {
  --cor-primaria: #ffffff;
  --cor-secundaria: rgb(138, 83, 27);
  --cor-alternativa: rgba(128, 83, 27, 0.8);
  --texto-escuro: #2d2d2d;
  --destaque: rgb(138, 83, 27);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Segoe UI', sans-serif;
}

body {
  background-color: #ffffff;
  color: var(--texto-escuro);
  line-height: 1.6;
}

/* HEADER */
header {
  background-color: var(--cor-secundaria);
  padding: 1rem 2rem;
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  box-shadow: 0 2px 5px rgba(0,0,0,0.1);
  z-index: 1000;
}
.img-menu{
  height: 125px; 
  width: 300px;
  margin-left: 15px;
}

.img-menu2{
  height: 70px;
  width: 70px; 
  margin-left: 15px;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

nav ul {
  list-style: none;
  display: flex;
  gap: 1.5rem;
}

nav ul li a {
  text-decoration: none;
  color: white;
  font-weight: bold;
  transition: 0.3s;
}

nav ul li a:hover {
  text-decoration: none;
  color: #ccc;

}


/* BOTÃO HAMBURGUER */
.menu-toggle {
  display: none;
  background: none;
  border: none;
  cursor: pointer;
}


.lista-horizontal{
  padding:0;
  margin: 0;
}

.lista-horizontal li{
  display:inline-block;
  margin-right: 10px;
}


.hero {
  padding: 8rem 2rem 4rem 1rem;
  text-align: center;
  margin-bottom: 0rem;
}

.hero img {
  max-width: 70%;
  border-radius: 40px;
  margin-bottom: 1rem;
  margin-top: 2rem;
}

.hero h2 {
  font-size: 2.5rem;
  margin-bottom: 1rem;
}

.hero p {
  font-size: 1.2rem;
  max-width: 600px;
  margin: 0 auto 2rem;
}

.hero button, .contato input[type="submit"] {
  padding: 0.75rem 1.5rem;
  background-color: var(--destaque);
  color: white;
  border: none;
  border-radius: 5px;
  font-size: 1rem;
  cursor: pointer;
  transition: 0.3s;
}

.hero button:hover, .contato input[type="submit"]:hover {
  background-color: #5a3516;
}

section {
  padding: 4rem 2rem;
  max-width: 900px;
  margin: auto;
}

.servicos, .sobre, .contato, .blog {
  background-color: white;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0,0,0,0.05);
  padding: 2rem;
  margin-bottom: 3rem;
  margin-top: 20px;
}

.contato {
  margin-top: 3.8rem;
}

.sobre p { 
  text-align: justify;
}

.carrossel {
  display: flex;
  overflow-x: auto;
  gap: 1rem;
}

.carrossel img {
  max-height: 200px;
  border-radius: 10px;
}

footer {
  background-color: var(--cor-secundaria);
  padding: 2rem;
  padding-left: 0px;
  padding-right: 10px;
  text-align: center;
  font-size: 0.9rem;
  color: white;
}

footer h4{
  display: flex;
  justify-content: center;
  gap: 50px;
  margin-bottom: 20px;
  text-align: left;

}

footer a {
  color: white;
  margin: 0 0.5rem;
  text-decoration: underline;
}

footer .footer-links {
  font-size: 30px;
}

.adv-parceiros {
  display: flex;
  justify-content: center;
  gap: 50px;
  margin-bottom: 20px;
}

.adv-parceiros ul {
  list-style: none;
  padding: 0;
}

.adv-parceiros li {
  font-size: 15px;
  color: white;
  margin-bottom: 5px;
  text-align: left;
}



form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

input, textarea {
  padding: 0.75rem;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 1rem;
}

.whatsapp-float {
  position: fixed;
  bottom: 20px;
  right: 20px;
  background-color: #25d366;
  color: white;
  padding: 15px;
  border-radius: 50%;
  font-size: 20px;
  box-shadow: 0 2px 5px rgba(0,0,0,0.3);
  z-index: 999;
}

.whatsapp-float img {
  width: 64px;
  height: 64px;
}

.img-zap {
  width: 32px;
  height: 32px;
}

.img-linkedin {
  width: 32px;
  height: 32px;
}

.img-email {
  width: 40px;
  height: 40px;
}

.parceiros{
    list-style-type: none;
}

.parceiros, li{
    font-size: 20px;
}
iframe {
  width: 100%;
  height: 70vh; 
  border: none;
}

/*index*/
.index-title {
  text-align: center; 
  padding-top: 12rem; 
  padding-bottom: 1.5rem;
}
.index-cards-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 55px; 
  max-width: 1200px;
  margin: 0 auto;
  padding-bottom: 1rem;
}

.index-card {
  width: 100%;
  max-width: 300px;
  margin-bottom: 20px;
  background: white;
  border-radius: 15px;
  box-shadow: 0 4px 20px rgba(0,0,0,0.1);
  overflow: hidden;
  position: relative;
  transition: transform 0.3s ease;
  cursor: pointer;
}

.index-card:hover {
  transform: translateY(-10px);
}

.index-card img {
  width: 100%;
  height: auto;
  display: block;
}

.index-curriculo{
  padding: 1rem 2rem; 
  max-width: 900px; 
  margin: auto; 
  text-align: center;
}

.index-intro {
  padding: 15px;
  background-color: var(--cor-secundaria);
  color: white;
  position: absolute;
  bottom: 0;
  width: 100%;
  transition: 0.4s;
}
.index-intro:hover{
    background-color: var(--cor-alternativa);
}

.index-intro p {
  opacity: 0;
  max-height: 0;
  overflow: hidden;
  transition: opacity 0.5s, max-height 0.5s;
}

.index-card:hover .index-intro p {
  opacity: 1;
  max-height: 200px;
}

.index-intro h1 {
  font-size: 20px;
  margin-bottom: 10px;
}

/*Para o button*/
.curriculo-btn {
  padding: 0.75rem 1.5rem;
  background-color: var(--destaque);
  margin:auto;
  color: white;
  border: none;
  border-radius: 5px;
  font-size: 1rem;
  cursor: pointer;
  transition: 0.3s;
  display: inline-block;
  text-decoration: none;
}

.curriculo-btn:hover {
  background-color: #5a3516;
}

/* Card dividido horizontalmente */
.card-princ {
    display: flex;
    flex-direction: row;
    background: white;
    border: 5px solid var(--cor-secundaria);
    border-radius: 15px;
    overflow: hidden;
    max-width: 1000px;
    margin: 80px auto 40px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
}

/* Lado das informações */
.card-info {
    flex: 1;
    padding: 30px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.card-info h1 {
    font-size: 1.8rem;
    margin-bottom: 10px;
}

.card-info h3 {
    font-size: 1.2rem;
    color: #555;
    margin-bottom: 20px;
}

.location {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.location img {
    width: 20px;
    height: 20px;
    margin-right: 8px;
}

/* Lado da foto */
.card-photo {
    flex: 1;
}

.card-photo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.avaliacao-titulo {
  text-align: center;
  padding-top: 4rem;
}
.avaliacao-card {
      background: #ffffff;
      border-radius: 16px;
      padding: 30px;
      box-shadow: 0 10px 25px rgba(0,0,0,0.08);
      max-width: 700px;
      margin: auto;
}

.avaliacao-card p {
      font-size: 1.05rem;
      color: #555;
}

.avaliacao-nome {
    font-weight: 600;
    margin-top: 15px;
}

.avaliacao-estrelas i {
    color: #f4c430;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    filter: invert(1);
}

/*Outras areas*/
.pagina-outras-areas {
    padding-top: 120px; 
    padding-bottom: 60px;
    padding-left: 2rem;
}

.titulo-areas {
    text-align: center;
    font-size: 2.5rem;
    margin-bottom: 40px;
    color: var(--texto-escuro);
    margin-top: 5rem;
}

.cards-areas-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 55px; /*O espaçamento entre os cards*/
    max-width: 1200px;
    margin: 0 auto;
}

.card-areas {
    width: 100%;
    max-width: 300px;
    margin-bottom: 20px;
    background: white;
    border-radius: 15px;
    box-shadow: 0 4px 20px rgba(0,0,0,0.1);
    overflow: hidden;
    position: relative;
    transition: transform 0.3s ease;
    cursor: pointer;
}

.card-areas:hover {
    transform: translateY(-10px);
}

.card-areas img {
    width: 100%;
    height: auto;
    display: block;
}

.intro-areas {
    padding: 15px;
    background-color: var(--cor-secundaria);
    color: white;
    position: absolute;
    bottom: 0;
    width: 100%;
    transition: 0.4s;
}
.intro-areas:hover{
      background-color: var(--cor-alternativa);
}

.intro-areas p {
    opacity: 0;
    max-height: 0;
    overflow: hidden;
    transition: opacity 0.5s, max-height 0.5s;
}

.intro-areas .font-children {
    font-size: 14.15px;
}

.intro-areas .font-work-woman {
    font-size: 17.15px;
}

.card-areas:hover .intro-areas p {
    opacity: 1;
    max-height: 200px;
}

.intro-areas h2 {
    font-size: 20px;
    margin-bottom: 10px;
}

/**/

.img-hamburguer {
  width: 32px; 
  height: 32px;
}

.pagina-areas{
  margin-bottom: 5rem;

}

.pagina-areas p{
  text-align: justify;
}

.back-fam, 
.back-adm,
.back-civil,
.back-cons,
.back-children,
.back-work,
.back-woman-work,
.back-apresentacion {
  padding: 4rem; 
  background-repeat: no-repeat; 
  background-size: cover;  
  background-attachment: fixed;
  margin-bottom: 4rem;
}

.back-fam h1, 
.back-adm h1,
.back-civil h1,
.back-cons h1,
.back-children h1,
.back-work h1,
.back-woman-work h1,
.back-apresentacion h1 {
  color: white;
  text-align: center;
  text-shadow: 
    -1px -1px 0 #000, 
     1px -1px 0 #000,
    -1px  1px 0 #000,
     1px  1px 0 #000; /* Quatro sombras criando contorno */
  padding: 4rem;
  margin-bottom: 4rem;
  margin-top:  6rem;
}

.back-fam {
  background-image: url(../imagens/familia.jpg); 
}

.back-adm { 
  background-image: url(../imagens/administrativo.jpg); 
}

.back-civil {
  background-image: url(../imagens/civillaw.jpg);
  background-position: center bottom;
}

.back-cons {
  background-image: url(../imagens/consumidor.jpg);
}

.back-children {
  background-image: url(../imagens/criancas.jpg);
}

.back-work {
  background-image: url(../imagens/trabalho.jpg);
  background-position: center;
}

.back-woman-work {
  background-image: url(../imagens/direitoMulherFundo.jpg);
  background-position: center;
}

.back-apresentacion {
  background-image: url(../imagens/background-advocacia.jpg);
}



/* Responsividade */
@media (max-width: 768px) {
  .img-menu{
    height: 100px; 
    width: 225px;
    margin-left: 0;
  }
  .img-menu2{
    height: 70px;
    width: 70px; 
    margin-left: 0;
  }
  nav ul {
    display: none;
    flex-direction: column;
    position: absolute;
    top: 100%;
    right: 0;
    background-color: var(--cor-secundaria);
    width: 200px;
    padding: 1rem;
    border-radius: 0 0 10px 10px;
  }

  nav ul.active {
    display: flex;
  }

  nav ul li {
    margin: 10px 0;
  }


  nav ul li a {
    font-size: 1.1rem;
    color: white;
  }

  .menu-toggle {
    display: block;
  }

  .lista-horizontal{
    list-style-type: none;
  }

  .adv-parceiros {
    flex-direction: column;
    align-items: center;
    gap: 20px;
    text-align: center;
  }
  .adv-parceiros ul {
    list-style: "➤";
  }

  .card-princ {
    flex-direction: column;
  }
  
  .card-photo img {
    height: 300px;
  }

  .card-info {
    text-align: center;
  }

  .index-card {
    max-width: 90%;
  }

  .index-cards-container {
      padding-left: 2rem;
  }

  .location {
    justify-content: center;
  }

  .adv_parceiros ul{
    flex-direction: row;
    flex-wrap: wrap;
  }

  .back-fam, 
  .back-adm,
  .back-civil,
  .back-children {
    background-position: center;
  }

  .back-apresentacion {
    background-position: center;
  }

  .card-areas {
    max-width: 90%;
  }

  .titulo-areas {
    font-size: 2rem;
  }

}
